API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional InfoFAQ

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Orders

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTSearch ordersPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote

Event Contracts

POSTGet event summaryGETGet event categoriesGETGet event details
HelpFeedback
Account Details

Get account portfolio v2

Retrieve an account portfolio details snapshot

Retrieves a snapshot of a specified account’s portfolio, including positions, equity breakdown, buying power, and open orders. The account must exist and belong to the authenticated client.

Usage notes

  • Returns positions, equity breakdown, buying power, and open orders in one snapshot. It's the place to find open orders, since there is no endpoint that lists every order.
  • Works for every account type Get accounts returns, including BOND_ACCOUNT and TREASURY.
GET/userapigateway/trading/{accountId}/portfolio/v2

Parameters

Path Parameters

string

Parameters

NameTypeRequiredDescription
accountIdstringYes-

Body

application/json

No request body defined

Responses

Response

200
application/json
accountIdstringrequired

Id of the account

accountTypeenum<string>required

Type of the account

Available options: BROKERAGE,HIGH_YIELD,BOND_ACCOUNT,RIA_ASSET,TREASURY,TRADITIONAL_IRA,ROTH_IRA,ENTITY,JOINT
buyingPowerrequired
equityobject[]required

List of equity summaries

positionsobject[]required

List of positions

ordersobject[]required
strategiesobject[]

List of multi-leg option strategies. Null if backend doesn't support strategies.

cashstring

Cash value from account summary

totalAccountValuestring

Total account value

availableToWithdraw

Available to withdraw summary

Response

404
application/json
accountIdstringrequired

Id of the account

accountTypeenum<string>required

Type of the account

Available options: BROKERAGE,HIGH_YIELD,BOND_ACCOUNT,RIA_ASSET,TREASURY,TRADITIONAL_IRA,ROTH_IRA,ENTITY,JOINT
buyingPowerrequired
equityobject[]required

List of equity summaries

positionsobject[]required

List of positions

ordersobject[]required
strategiesobject[]

List of multi-leg option strategies. Null if backend doesn't support strategies.

cashstring

Cash value from account summary

totalAccountValuestring

Total account value

availableToWithdraw

Available to withdraw summary

The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "accountId": "string",
  "accountType": "BROKERAGE",
  "buyingPower": {
    "cashOnlyBuyingPower": "string",
    "buyingPower": "string",
    "optionsBuyingPower": "string",
    "dayTradeBuyingPower": "string"
  },
  "equity": [
    {
      "type": "CASH",
      "value": "string",
      "percentageOfPortfolio": "string"
    }
  ],
  "positions": [
    {
      "instrument": {
        "symbol": "string",
        "name": "string",
        "type": "EQUITY"
      },
      "quantity": "string",
      "openedAt": "2023-11-07T05:31:56Z",
      "currentValue": "string",
      "percentOfPortfolio": "string",
      "lastPrice": {
        "lastPrice": "string",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "instrumentGain": {
        "gainValue": "string",
        "gainPercentage": "string",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "positionDailyGain": {
        "gainValue": "string",
        "gainPercentage": "string",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "costBasis": {
        "totalCost": "string",
        "unitCost": "string",
        "gainValue": "string",
        "gainPercentage": "string",
        "lastUpdate": "2023-11-07T05:31:56Z"
      },
      "strategyIds": [
        "string"
      ]
    }
  ],
  "orders": [
    {
      "orderId": "6a07d3e9-ddc8-4da8-9659-efbdda064c55",
      "bracketId": "9145057f-1849-43eb-a610-5fe90dcf6c1f",
      "instrument": {
        "symbol": "string",
        "type": "EQUITY"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "type": "MARKET",
      "side": "BUY",
      "status": "NEW",
      "quantity": "string",
      "notionalValue": "string",
      "expiration": {
        "timeInForce": "DAY",
        "expirationTime": "2023-11-07T05:31:56Z"
      },
      "limitPrice": "string",
      "stopPrice": "string",
      "closedAt": "2023-11-07T05:31:56Z",
      "openCloseIndicator": "OPEN",
      "filledQuantity": "string",
      "averagePrice": "string",
      "legs": [
        {
          "instrument": {
            "symbol": "string",
            "type": "EQUITY"
          },
          "side": "BUY",
          "openCloseIndicator": "OPEN",
          "ratioQuantity": 123
        }
      ],
      "rejectReason": "string"
    }
  ],
  "strategies": [
    {
      "strategyId": "string",
      "displayName": "string",
      "quantity": "string",
      "currentValue": "string",
      "percentOfPortfolio": "string",
      "lastPrice": {
        "lastPrice": "string",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "positionDailyGain": {
        "gainValue": "string",
        "gainPercentage": "string",
        "timestamp": "2023-11-07T05:31:56Z"
      },
      "costBasis": {
        "totalCost": "string",
        "unitCost": "string",
        "gainValue": "string",
        "gainPercentage": "string",
        "lastUpdate": "2023-11-07T05:31:56Z"
      },
      "optionLegs": [
        {
          "symbol": "string",
          "positionType": "string",
          "ratioQuantity": "string"
        }
      ]
    }
  ],
  "cash": "string",
  "totalAccountValue": "string",
  "availableToWithdraw": {
    "cashOnlyAvailableToWithdraw": "string",
    "availableToWithdraw": "string"
  }
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more